import { JSONSchema7, JSONSchema7Type } from 'json-schema';
declare type Value = boolean | string | Array<string> | JSONSchema7Type;
export declare type CheckBoxProps = {
    value?: Value;
    type?: string;
    onChange?: Function;
    schema?: JSONSchema7 & {
        parsedArray?: boolean;
    };
    options?: any;
    [key: string]: any;
};
declare const _default: ({ onChange, schema, value, }: {
    onChange: Function;
    schema: JSONSchema7 & {
        parsedArray?: boolean;
    };
    value: Value;
}) => {
    onChange: (e: any, checked: any) => any;
    onEnumChange: (givenValue: any, adds: any) => (e: any, checked: any) => void;
    onGroupChange: (givenValue: any, adds: any) => (e: any, checked: any) => void;
    label: string;
    choices: any[];
};
export default _default;
